<script>
import Day from './_design_1_day.svelte';   
import { day_width, day_height, yScale, city_chosen, scale_chosen, yScale_down } from "./store.js";

export let data = {};

// Size and margins
  
const width = 800;
  const height = 700;
  const margin = { top: 40, right: 20, bottom: 20, left: 20 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;





 
</script>

<style>

  text {
    font-size: 10px;
    dominant-baseline: middle;
  }

  p {
    stroke: grey;
    font-size: 35px;
    opacity: 0.5;
  }


</style>

<h2>Total heating energy in December</h2>
<p>{$city_chosen}</p>

<svg width={width+margin.left+margin.right} height={height+margin.top+margin.bottom}>
  <g transform = "translate({margin.left}, {margin.top})">
     {#each Object.keys(data) as bdtp_nr, bdtp_idx}
       <g transform="translate(0, {bdtp_idx*day_height+(20*bdtp_idx)})">
        <text x={day_width*31+20} y={$yScale(0)}>{bdtp_nr}</text>
        
          {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
             <g transform="translate({(day_nr-1)*day_width},0)">
             <Day data={data[bdtp_nr][day_nr]} yScale_chosen={$yScale} />
             <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_down}/>
             </g>
          {/each}
       </g>
     {/each}
  
         
   
</g>

</svg>



